Subject: Re: RFC 2558 - current and previous table

From: Kaj Tesink <[email-masked]>
Date: Tue, 31 Jul 2001 12:17:29 -0400

At 12:24 PM 7/30/01 -0400, Irfan Lateef wrote:
>Kaj,
>
>I am implementing RFC 2558 for collecting the PM counter on SONET links.
>
>One of the requirements is to allow the NMS to allow collection of stats
>once in
>every 24 hours.
>
>In order to satisfy this we may need to have two tables, where the
>current table
>may hold the last 24 hours of data and previous table can hold the last
>24-48 hours
>of data.
>
>Now my question is, did you consider such a thing and decided not to
>support
>or is it under consideration.

several comments:
a) the current mib supports up to 96 15min intervals,
    if your agents all support 96 intervals then you could
    retrieve the whole lot once per 24 hrs. if not you cant.
    you still have to aggregate in the NMS.
b) the minimum number of intervals for an agent is 4
    the max is 96 and the default is 32.
    so check your agent capability.
c) in the past, and in other 'trunk mibs' (ds1/ds3) there
    is also a TotalTable where the IntervalTables are aggregated
    at the agent. during the design of the sonet mib this Total
    Table was deemed an unnecessary burden on the agent and therefore
    omitted.
d) there is no current proposal to reintroduce TotalTables for the sonet
    mib for 24 or 48 hours worth of history data.
e) the spec is currently under review for advancement on the standard track;
    comments based on implementation experience are welcomed on the
    mailing list; see http://ietf.org/html.charters/atommib-charter.html

kaj

>Appreciate your comments
>
>Regards,
>
>BTW,  I was trying to reach
>ftp://ftp.research.telcordia.com/pub/Group.archive/atommib
>to see if there is any discussion on this topic but I could not
>access it. Probably the site is down. You may want to look into it.

worked when i tried

>--
>Irfan Lateef
>Senior Systems Engineer
>Room BD117
>Village Networks Inc,
>246 Industrial Way, Eatontown, NJ, 07724
>Phone: 732-460-7760, Fax: 732-460-5998
>Email: [email-masked]

---------------------------------------
Kaj Tesink
[email-masked]
Tel. (732) 758-5254
Fax  (732) 758-2269
Telcordia Technologies
331 Newman Springs Rd
Red Bank, NJ 07701
USA
---------------------------------------

_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/

Kaj Tesink
Telcordia Technologies
Email  [email-masked]
Tel    732.758.5254
Fax    732.758.2269
Postal 331 Newman Springs Rd
        Red Bank, NJ 07701
        USA

_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/